# Finite-bias effects in tunnel spectroscopy of Majorana devices 
By André Melo, Piotr Rożek, Chun-Xiao Liu, Tómas Rosdahl and Michael Wimmer

## Files
- `finite_bias.py`: contains all the main functions used in the notebooks below.
- `weidenmuller.ipynb`: performs simulations of toy model with single Andreev bound state (figure 1).
- `local-conductance.ipynb`: performs local conductance simulations (figures 4, 5, 6, 7 and 10).
- `nonlocal-conductance.ipynb`: performs nonlocal conductance simulations (figures 7 and 9).
- `plot.py`: generate all figures in the paper.

The simulations will only run if the `data` directory is empty, otherwise the simulation data is justed loaded in the notebook. Note that these simulations are copmutationally expensive and require a computational cluster.

## Installation
Install [anaconda](https://docs.conda.io/projects/conda/en/latest/user-guide/install/) and then the Python environment that contains all dependencies with:

```
conda env create -f environment.yml
```

then activate it with
```
source activate finitebias.
```

Finally, run the command `jupyter-notebook` to spawn a Jupyter server and run the notebooks.

You will also need a functional LaTeX installation. In Debian/Ubuntu-based you can do this by running

```
sudo apt-get install texlive-full
```

Alternatively you may comment out the custom `matplotlib` `rcParams` in `plot.ipynb`.
